/***************************************************************************
 Copyright (c) 2009 S Roderick <xxxstephen AT theptrgroupxxx DOT comxxx>
                               (remove the x's above)
 ***************************************************************************/
#ifndef __BOOSTCORBATOOLKIT_HPP
#define __BOOSTCORBATOOLKIT_HPP 1

#include <rtt/TransportPlugin.hpp>

namespace Examples {
namespace Corba {

    class CorbaBoostPlugin : public RTT::TransportPlugin
    {
    public:
		/// register this transport into the RTT type system
        bool registerTransport(std::string name, RTT::TypeInfo* ti);
        
		/// return the name of this transport type (ie "CORBA")
        std::string getTransportName() const;
        
		/// return the name of this transport
        std::string getName() const;
    };

    // the global instance
    extern CorbaBoostPlugin     corbaBoostPlugin;

// namespace
}
}

#endif
