/***************************************************************************
 Copyright (c) 2009 S Roderick <xxxstephen AT theptrgroupxxx DOT comxxx>
                               (remove the x's above)
 ***************************************************************************/
#ifndef	__SEND_HPP
#define	__SEND_HPP 1

#include <rtt/TaskContext.hpp>
#include <rtt/Ports.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>

/**	A test component that sends data using the various toolkit types
 */
class Send : public RTT::TaskContext
{
public:
	RTT::DataPort<boost::posix_time::ptime>		        ptime_port;
	RTT::DataPort<boost::posix_time::time_duration>		timeDuration_port;

public:
	Send(std::string name);
	virtual ~Send();

	virtual bool startHook();
	virtual void updateHook();

protected:
    boost::posix_time::ptime    lastNow;
};

#endif
