/***************************************************************************
 Copyright (c) 2009 S Roderick <xxxstephen AT theptrgroupxxx DOT comxxx>
                               (remove the x's above)
 ***************************************************************************/
#ifndef	__RECV_HPP
#define	__RECV_HPP 1

#include <rtt/TaskContext.hpp>
#include <rtt/Ports.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>

/**	A test component that receives data using the various toolkit types
 */
class Recv : public RTT::TaskContext
{
public:
	RTT::DataPort<boost::posix_time::ptime>		        ptime_port;
	RTT::DataPort<boost::posix_time::time_duration>		timeDuration_port;

public:
	Recv(std::string name);
	virtual ~Recv();

	/* Use the taskbrowser to see the data arriving on the above ports.
	   There are no useful xxxHook() functions in this component 
	*/
};

#endif
